mcoa {ade4} | R Documentation

## Multiple CO-inertia Analysis

### Description

performs a multiple CO-inertia analysis, using an object of class `ktab`.

### Usage

    mcoa(X, option = c("inertia", "lambda1", "uniform", "internal"),
        scannf = TRUE, nf = 3, tol = 1e-07)
    ## S3 method for class 'mcoa'
    print(x, ...)
    ## S3 method for class 'mcoa'
    summary(object, ...)
    ## S3 method for class 'mcoa'
    plot(x, xax = 1, yax = 2, eig.bottom = TRUE, ...)

### Arguments

`X` | an object of class `ktab`

`option`

a string of characters for the weightings of the arrays options :

"inertia"

  weighting of group k by the inverse of the total inertia of the array k

"lambda1"

  weighting of group k by the inverse of the first eigenvalue of the k analysis

"uniform"

  uniform weighting of groups

"internal"

  weighting included in `X$tabw`

`scannf` | a logical value indicating whether the eigenvalues bar plot should be displayed
`nf` | if scannf FALSE, an integer indicating the number of kept axes
`tol` | a tolerance threshold, an eigenvalue is considered positive if it is larger than `-tol*lambda1` where `lambda1` is the largest eigenvalue.
`x, object` | an object of class 'mcoa'
`...` | further arguments passed to or from other methods
`xax, yax` | the numbers of the x-axis and the y-axis
`eig.bottom` | a logical value indicating whether the eigenvalues bar plot should be added

### Value

mcoa returns a list of class 'mcoa' containing :

`pseudoeig` | a numeric vector with the all pseudo eigenvalues
`call` | the call-up order
`nf` | a numeric value indicating the number of kept axes
`SynVar` | a data frame with the synthetic scores
`axis` | a data frame with the co-inertia axes
`Tli` | a data frame with the co-inertia coordinates
`Tl1` | a data frame with the co-inertia normed scores
`Tax` | a data frame with the inertia axes onto co-inertia axis
`Tco` | a data frame with the column coordinates onto synthetic scores
`TL` | a data frame with the factors for Tli Tl1
`TC` | a data frame with the factors for Tco
`T4` | a data frame with the factors for Tax
`lambda` | a data frame with the all eigenvalues (computed on the separate analyses)
`cov2` | a numeric vector with the all pseudo eigenvalues (synthetic analysis)

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr

### References

Chessel, D. and Hanafi, M. (1996) Analyses de la co-inertie de K nuages de points, Revue de Statistique Appliquée, 44, 35–60.

### Examples

    data(friday87)
    w1 <- data.frame(scale(friday87$fau, scal = FALSE))
    w2 <- ktab.data.frame(w1, friday87$fau.blo, tabnames = friday87$tab.names)
    mcoa1 <- mcoa(w2, "lambda1", scan = FALSE)
    mcoa1
    summary(mcoa1)
    plot(mcoa1)

[Package ade4 version 1.7-13 Index]